### Hierarchy

- OfferSearchRepositoryImpl

### Implements

- OfferSearchRepository

## Index

### Constructors

- constructor

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- clone
- complainToSearchItem
- confirmSearchItem
- createByQuery
- evaluateSearchItem
- getCountBySearchRequestIds
- getInteractions
- getSearchResult
- getSearchResultByOfferSearchId
- getSuggestionByQuery
- getUserOfferSearches
- rejectSearchItem

## Constructors

### constructor

- new OfferSearchRepositoryImpl(transport: HttpTransport): OfferSearchRepositoryImpl

- - Defined in repository/search/OfferSearchRepositoryImpl.ts:36

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns OfferSearchRepositoryImpl

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- Implementation of OfferSearchRepository.addEventToOfferSearch

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:223

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(clientId: string, offerSearch: OfferSearch): Promise<void>

- Implementation of OfferSearchRepository.addResultItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:214

  #### Parameters

  - ##### clientId: string

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.claimPurchaseForSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:205

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### clone

- clone(owner: string, originToCopySearchRequestIds: Array<Pair<number, number>>): Promise<Array<OfferSearch>>

- Implementation of OfferSearchRepository.clone

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:231

  #### Parameters

  - ##### owner: string

  - ##### originToCopySearchRequestIds: Array<Pair<number, number>>

  #### Returns Promise<Array<OfferSearch>>

### complainToSearchItem

- complainToSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.complainToSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:168

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.confirmSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:196

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### createByQuery

- createByQuery(owner: string, query: string, searchRequestId: number, page?: number, size?: number, interests?: Array<string>, mode?: OfferSearchRequestInterestMode, filters?: Map<string, Array<string>>): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.createByQuery

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:52

  #### Parameters

  - ##### owner: string

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Default value page: number = 0

  - ##### Default value size: number = 20

  - ##### Optional interests: Array<string>

  - ##### Optional mode: OfferSearchRequestInterestMode

  - ##### Optional filters: Map<string, Array<string>>

  #### Returns Promise<Page<OfferSearchResultItem>>

### evaluateSearchItem

- evaluateSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.evaluateSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:187

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- Implementation of OfferSearchRepository.getCountBySearchRequestIds

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:145

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getInteractions

- getInteractions(owner: string, offerIds?: Array<number> | undefined, states?: Array<OfferResultAction> | undefined): Promise<Array<OfferInteraction>>

- Implementation of OfferSearchRepository.getInteractions

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:153

  #### Parameters

  - ##### owner: string

  - ##### Optional offerIds: Array<number> | undefined

  - ##### Optional states: Array<OfferResultAction> | undefined

  #### Returns Promise<Array<OfferInteraction>>

### getSearchResult

- getSearchResult(clientId: string, searchRequestId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getSearchResult

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:113

  #### Parameters

  - ##### clientId: string

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(clientId: string, offerSearchId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getSearchResultByOfferSearchId

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:129

  #### Parameters

  - ##### clientId: string

  - ##### offerSearchId: number

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSuggestionByQuery

- getSuggestionByQuery(query: string, size?: number | undefined): Promise<Array<string>>

- Implementation of OfferSearchRepository.getSuggestionByQuery

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:42

  #### Parameters

  - ##### query: string

  - ##### Optional size: number | undefined

  #### Returns Promise<Array<string>>

### getUserOfferSearches

- getUserOfferSearches(clientId: string, page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>, sort: SortOfferSearch, interaction?: boolean): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getUserOfferSearches

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:88

  #### Parameters

  - ##### clientId: string

  - ##### Default value page: number = 0

  - ##### Default value size: number = 20

  - ##### Default value unique: boolean = false

  - ##### Default value searchIds: Array<number> = []

  - ##### Default value state: Array<OfferResultAction> = []

  - ##### sort: SortOfferSearch

  - ##### Optional interaction: boolean

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.rejectSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:178

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

Generated using TypeDoc